The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

mysql 3 or 4?

Discussion in 'General Discussion' started by generaltso, Nov 19, 2004.

  1. generaltso

    generaltso Member

    Joined:
    Jun 21, 2004
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    WHM says mysql 4 is installed, but when doing a phpinfo, it says:

    Client API version 3.23.49

    Does something need to be changed in the ./configure statement to get it to use mySQL 4?

    Thanks
     
  2. dezignguy

    dezignguy Well-Known Member

    Joined:
    Sep 26, 2004
    Messages:
    534
    Likes Received:
    0
    Trophy Points:
    16
    try switching it back, running /scripts/sysup, and then selecting the one you really want and running /scripts/sysup. Since that's not the latest mysql3 either.
     
  3. Sinewy

    Sinewy Well-Known Member

    Joined:
    May 15, 2004
    Messages:
    367
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Sydney, Australia
    cPanel Access Level:
    DataCenter Provider
    you are seeing that because php was compiled with it's builtin library.

    Recompile Apache/PHP from the Update Apache in WHM with this ticked: "Use System Mysql".

    after recompiling it will now show your 4.0.22 or whatever 4.0 version you have.
     
  4. generaltso

    generaltso Member

    Joined:
    Jun 21, 2004
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    If you are doing a manual ./configure on PHP, how would you enable the system mySQL (what command)?

    Thanks!
     
  5. paolorulez

    paolorulez Guest


    --with-mysql=/usr :)
     
  6. generaltso

    generaltso Member

    Joined:
    Jun 21, 2004
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Worked perfect, thanks!
     
Loading...

Share This Page